# typed: strict
class Domain::PostGroup::E621Pool < Domain::PostGroup
  attr_json :e621_id, :integer
  validates :e621_id, presence: true

  sig { override.returns([String, Symbol]) }
  def self.param_prefix_and_attribute
    ["e621", :e621_id]
  end
end
